# -*- coding: utf-8 -*-
# @Time : 2022/7/19 13:47
# @Author : wangyinghao
# @Site : 
# @File : api_scenarios_case_url.py
# @Software: PyCharm
from django.urls import path
from automated_main.view.api_automation.api_scenario_use_case.api_scenarios_case_list_view import ApiScenariosCaseListView, InterfacesProjectListView, ServiceModuleInterfacesCaseRelationshipView, ApiScenariosCaseCopyView
from automated_main.view.api_automation.api_scenario_use_case.api_scenarios_case_view import ApiScenariosCaseView, ApiScenariosCaseGetView, ApiScenariosCaseDebugView


urlpatterns = [
    # 获取接口测试用例列表 4级目录 tree树
    path("api/backend/api_scenarios_case/list/", ApiScenariosCaseListView.as_view()),

    # 获取接口项目列表
    path("api/backend/InterfacesProjectList/list/", InterfacesProjectListView.as_view()),

    # 创建场景用例
    path("api/backend/api_scenarios_case/", ApiScenariosCaseView.as_view()),

    # 删除/编辑 场景接口测试用例
    path("api/backend/api_scenarios_case/<int:scenarios_case_id>/", ApiScenariosCaseView.as_view()),

    # 获取单个场景接口测试用例-组装
    path("api/backend/api_single_scenarios_case/<int:scenarios_case_id>/", ApiScenariosCaseGetView.as_view()),

    # 获取场景接口测试用例列表
    path("api/backend/interfaces_scenarios_case/list/<int:api_management_id>/", ApiScenariosCaseView.as_view()),

    # 场景接口用例debug
    path("api/backend/interfaces_scenarios_case/interfaces_scenarios_case_debug/", ApiScenariosCaseDebugView.as_view()),

    # 场景接口-服务-模块-接口-用例 关系
    path("api/backend/interfaces_scenarios_case/ServiceModuleInterfacesCaseRelationship/", ServiceModuleInterfacesCaseRelationshipView.as_view()),

    # Copy-复制 场景用例
    path("api/backend/copy_interfaces_scenarios_case/", ApiScenariosCaseCopyView.as_view()),

]
